#!/usr/bin/perl 

## --> Line-of-Sight Path Analysis, linesite.super.main.cgi
## --> Green Bay Professional Packet Radio, www.gbppr.org

## This file Copyright 2003 <contact@gbppr.org> under the GPL
## NO WARRANTY. Please send bug reports / patches / reports.

# Setup
#
select STDOUT;
$| = 1;

# User stuff
#
my $pic = "pics/los.jpg";
my $form = "./linesite.cgi";

# Print MIME
#
print "Content-type:text/html\n\n";

# Draw me a web page
#
print <<EOF;
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 3.2//EN">
<html>
<head>
<title>Line-of-Sight Path Analysis</title>
</head>
<body bgcolor="#D3D3D3" text="#000000" link="blue">
<center>
<font face="Verdana, Arial, Helvetica"><h2>Line-of-Sight Path Analysis</h2></font>
<p>A service of <a href="http://www.gbppr.org">Green Bay Professional Packet Radio</a></p>
</center>

<hr noshade>
<center><img src="$pic" alt="[los]"></center>
<hr noshade>

<form action="$form" method="post">

<br>
<center>
<table border="2" cellpadding="2">
<tr>
<td colspan="10" bgcolor="yellow" align="center"><font size="4"><b>Transmitter Site One</b></font></td>
</tr>
</table>
</center>
<br>

<table border="0">
<tr>
<td align="right"><b>Latitude&nbsp;&nbsp;</b></td>
<td align="left"><input type="text" name="LAT1_D" size="2" value="44">&nbsp;&deg;&nbsp;
<input type="text" name="LAT1_M" size="2" value="31">&nbsp;'&nbsp;
<input type="text" name="LAT1_S" size="3" value="47">&nbsp;&quot;&nbsp;&nbsp;North</td>
</tr>

<tr>
<td align="right"><b>Longitude&nbsp;&nbsp;</b></td>
<td align="left"><input type="text" name="LON1_D" size="2" value="88">&nbsp;&deg;&nbsp;
<input type="text" name="LON1_M" size="2" value="02">&nbsp;'&nbsp;
<input type="text" name="LON1_S" size="3" value="26">&nbsp;&quot;&nbsp;&nbsp;West</td>
</tr>

<tr>
<td align="right"><b>Antenna Height (AGL)&nbsp;&nbsp;</b></td>
<td align="left"><input type="text" name="tx_ant_ht" size="5" value="30">
<select name="tx_ant_ht_val">
<option selected>meters</option>
<option>feet</option>
</select>&nbsp;&nbsp;Center-of-Radiation</td>
</tr>
</table>

<br>
<center>
<table border="2" cellpadding="2">
<tr>
<td colspan="10" bgcolor="yellow" align="center"><font size="4"><b>Transmitter Site Two</b></font></td>
</tr>
</table>
</center>
<br>

<table border="0">
<tr>
<td align="right"><b>Latitude&nbsp;&nbsp;</b></td>
<td align="left"><input type="text" name="LAT2_D" size="2" value="">&nbsp;&deg;&nbsp;
<input type="text" name="LAT2_M" size="2" value="">&nbsp;'&nbsp;
<input type="text" name="LAT2_S" size="3" value="">&nbsp;&quot;&nbsp;&nbsp;North</td>
</tr>

<tr>
<td align="right"><b>Longitude&nbsp;&nbsp;</b></td>
<td align="left"><input type="text" name="LON2_D" size="2" value="">&nbsp;&deg;&nbsp;
<input type="text" name="LON2_M" size="2" value="">&nbsp;'&nbsp;
<input type="text" name="LON2_S" size="3" value="">&nbsp;&quot;&nbsp;&nbsp;West</td>
</tr>

<tr>
<td align="right"><b>Antenna Height (AGL)&nbsp;&nbsp;</b></td>
<td align="left"><input type="text" name="tx2_ant_ht" size="5" value="">
<select name="tx2_ant_ht_val">
<option selected>meters</option>
<option>feet</option>
</select>&nbsp;&nbsp;Center-of-Radiation</td>
</tr>
</table>

<br>
<center>
<table border="2" cellpadding="2">
<tr>
<td colspan="10" bgcolor="yellow" align="center"><font size="4"><b>Transmitter Site Three</b></font></td>
</tr>
</table>
</center>
<br>

<table border="0">
<tr>
<td align="right"><b>Latitude&nbsp;&nbsp;</b></td>
<td align="left"><input type="text" name="LAT3_D" size="2" value="">&nbsp;&deg;&nbsp;
<input type="text" name="LAT3_M" size="2" value="">&nbsp;'&nbsp;
<input type="text" name="LAT3_S" size="3" value="">&nbsp;&quot;&nbsp;&nbsp;North</td>
</tr>

<tr>
<td align="right"><b>Longitude&nbsp;&nbsp;</b></td>
<td align="left"><input type="text" name="LON3_D" size="2" value="">&nbsp;&deg;&nbsp;
<input type="text" name="LON3_M" size="2" value="">&nbsp;'&nbsp;
<input type="text" name="LON3_S" size="3" value="">&nbsp;&quot;&nbsp;&nbsp;West</td>
</tr>

<tr>
<td align="right"><b>Antenna Height (AGL)&nbsp;&nbsp;</b></td>
<td align="left"><input type="text" name="tx3_ant_ht" size="5" value="">
<select name="tx3_ant_ht_val">
<option selected>meters</option>
<option>feet</option>
</select>&nbsp;&nbsp;Center-of-Radiation</td>
</tr>
</table>

<br>
<center>
<table border="2" cellpadding="2">
<tr>
<td colspan="10" bgcolor="yellow" align="center"><font size="4"><b>Transmitter Site Four</b></font></td>
</tr>
</table>
</center>
<br>

<table border="0">
<tr>
<td align="right"><b>Latitude&nbsp;&nbsp;</b></td>
<td align="left"><input type="text" name="LAT4_D" size="2" value="">&nbsp;&deg;&nbsp;
<input type="text" name="LAT4_M" size="2" value="">&nbsp;'&nbsp;
<input type="text" name="LAT4_S" size="3" value="">&nbsp;&quot;&nbsp;&nbsp;North</td>
</tr>

<tr>
<td align="right"><b>Longitude&nbsp;&nbsp;</b></td>
<td align="left"><input type="text" name="LON4_D" size="2" value="">&nbsp;&deg;&nbsp;
<input type="text" name="LON4_M" size="2" value="">&nbsp;'&nbsp;
<input type="text" name="LON4_S" size="3" value="">&nbsp;&quot;&nbsp;&nbsp;West</td>
</tr>

<tr>
<td align="right"><b>Antenna Height (AGL)&nbsp;&nbsp;</b></td>
<td align="left"><input type="text" name="tx4_ant_ht" size="5" value="">
<select name="tx4_ant_ht_val">
<option selected>meters</option>
<option>feet</option>
</select>&nbsp;&nbsp;Center-of-Radiation</td>
</tr>
</table>

<br>
<center>
<table border="2" cellpadding="2">
<tr>
<td colspan="10" bgcolor="yellow" align="center"><font size="4"><b>Receiver Information</b></font></td>
</tr>
</table>
</center>
<br>

<table border="0">
<tr>
<td align="right"><b>Select State for Above Site(s)&nbsp;&nbsp;</b></td>
<td align="left"><select name="state">
<option>NONE</option>
<option>Alabama</option>
<option>Alaska</option>
<option>Arizona</option>
<option>Arkansas</option>
<option>California</option>
<option>Colorado</option>
<option>Connecticut</option>
<option>Delaware</option>
<option>District of Columbia</option>
<option>Florida</option>
<option>Georgia</option>
<option>Hawaii</option>
<option>Idaho</option>
<option>Illinois</option>
<option>Indiana</option>
<option>Iowa</option>
<option>Kansas</option>
<option>Kentucky</option>
<option>Louisiana</option>
<option>Maine</option>
<option>Maryland</option>
<option>Massachusetts</option>
<option>Michigan</option>
<option>Minnesota</option>
<option>Mississippi</option>
<option>Missouri</option>
<option>Montana</option>
<option>Nebraska</option>
<option>Nevada</option>
<option>New Hampshire</option>
<option>New Jersey</option>
<option>New Mexico</option>
<option>New York</option>
<option>North Carolina</option>
<option>North Dakota</option>
<option>Ohio</option>
<option>Oklahoma</option>
<option>Oregon</option>
<option>Pennsylvania</option>
<option>Rhode Island</option>
<option>South Carolina</option>
<option>South Dakota</option>
<option>Tennessee</option>
<option>Texas</option>
<option>Utah</option>
<option>Vermont</option>
<option>Virginia</option>
<option>Washington</option>
<option>West Virginia</option>
<option selected>Wisconsin</option>
<option>Wyoming</option>
<option>American Samoa</option>
<option>Guam</option>
<option>N. Mariana Islands</option>
<option>Puerto Rico</option>
<option>Virgin Islands</option>
</select></td>
</tr>

<tr>
<td align="right"><b>Receiver Antenna Height (AGL)&nbsp;&nbsp;</b></td>
<td align="left"><input type="text" name="rx_ant_ht" size="5" value="1.5">
<select name="rx_ant_ht_val">
<option selected>meters</option>
<option>feet</option>
</select>&nbsp;&nbsp;Center-of-Radiation</td>
</tr>

<tr>
<td align="right"><b>Select the Effective Earth Radius, K Factor&nbsp;&nbsp;</b></td>
<td align="left"><select name="k">
<option>5/12</option>
<option>1/2</option>
<option>2/3</option>
<option>1.0</option>
<option>7/6</option>
<option selected>4/3</option>
<option>5/3</option>
<option>7/4</option>
<option>2.0</option>
<option>4.0</option>
<option>Infinity</option>
</select></td>
</tr>

<tr>
<td align="right"><b>Coverage Radius&nbsp;&nbsp;</b></td>
<td align="left"><input type="text" name="coverage" size="5" value="10">
<select name="coverage_val">
<option selected>kilometers</option>
<option>miles</option>
</select></td>
</tr>
</table>

<br>
<center>
<table border="2" cellpadding="2">
<tr>
<td colspan="10" bgcolor="yellow" align="center"><font size="4"><b>Image Quality</b></font></td>
</tr>
</table>
</center>
<br>

<table border="0">
<tr>
<td align="right"><b>Select Output Image Quality&nbsp;&nbsp;</b></td>
<td align="left"><select name="quality">
<option selected>Low / Fast</option>
<option>High / Slow</option>
</select></td>
</tr>
</table>

<hr noshade>
<center>
<table>
<tr>
<td><input type="submit" value="Submit"></td>
<td><input type="reset" value="Clear"></td>
</tr>
</table>
</center>
</form>

<hr noshade size="5">
</font>
<blockquote>
<ul>
<li>Enter up to four different transmitter locations.</li>

<p></p>

<li>Don't enter the minus (-) sign on longitude data.</li>

<p></p>

<li>K Factor of <tt>1.0</tt> is the true Earth radius, K Factor of <tt>Infinity</tt> is a flat Earth.</li>

<p></p>

<li>Press <tt>Submit</tt> to see an example.</li>

<p></p>

<li>It takes about 10 minutes, per location, for the plotting to complete.&nbsp;&nbsp;Decrease Coverage Radius for faster plotting.</li>

<p></p>

<li>Don't hit <tt>Stop</tt> half way through the process.</li>

<p></p>

<li><a href="coords.txt">Available</a> elevation coordinates.</li>
</ul>
</blockquote>

</body>
</html>
EOF
